David Little

My feedback

  1. 29 votes
    Vote
    Sign in
    (thinking…)
    Sign in with: Facebook Google
    Signed in as (Sign out)
    You have left! (?) (thinking…)
    2 comments  ·  General Announcements  ·  Flag idea as inappropriate…  ·  Admin →
    David Little supported this idea  · 
  2. 81 votes
    Vote
    Sign in
    (thinking…)
    Sign in with: Facebook Google
    Signed in as (Sign out)
    You have left! (?) (thinking…)
    25 comments  ·  General Announcements  ·  Flag idea as inappropriate…  ·  Admin →
    An error occurred while saving the comment
    David Little commented  · 

    I'm using Peak 7 as I have done for many years, but just for editing as it won't recognise modern plug-ins. I have to use the plugs in a different app. - highly inconvenient. I'm still using Mac OS 10.6.8. PLEASE bring back Peak and make it compatible with today's plug-ins.

    David Little supported this idea  · 

Feedback and Knowledge Base